Bug 800321 - Failed to deploy rails according to rails example on github
Failed to deploy rails according to rails example on github
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 05:05 EST by jizhao
Modified: 2015-05-14 18:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 14:23:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jizhao 2012-03-06 05:05:43 EST
Description of problem:
Failed to perform git pull while deploying rails according to instructions on github.

Version-Release number of selected component (if applicable):
rhc-cartridge-rack-1.1-0.88.1-1.el6_2.noarch

How reproducible:
Always

Steps to Reproduce:
1.Create a rails application
$ rhc app create -a railsapp -t ruby-1.8
2.Add mysql support to your application
$ rhc app cartridge add -a railsapp -c mysql-5.1
3.Add this upstream rails quickstart repo
$ cd railsapp
$ git remote add upstream -m master git@github.com:openshift/rails-example.git
$ git pull -s recursive -X theirs upstream master
  
Actual results:
<----------------output------------>
Permission denied (publickey).
fatal: The remote end hung up unexpectedly
<---------------------------------->

Expected results:
Git pull should succeed.

Additional info:
Comment 1 Dan McPherson 2012-03-06 10:16:23 EST
Fixed in github
Comment 2 jizhao 2012-03-07 02:39:39 EST
Verified on QE_devenv_1653.

Note You need to log in before you can comment on or make changes to this bug.